Autor Tópico: Webcam  (Lida 29345 vezes)

romonteiro

  • Visitante
Webcam
« Resposta #30 Online: 13 de Novembro de 2005, 13:48 »
vc tem algum link para o manual de instalacao do kernel?

Offline AlexBR

  • Usuário Ubuntu
  • *
  • Mensagens: 388
    • Ver perfil
Webcam
« Resposta #31 Online: 13 de Novembro de 2005, 16:51 »
Citação de: "dealer"
Então pelo jeito se vai ter que compilar o teu kernel ae..


Eu duvido que isso seja nescessário.

romonteiro

  • Visitante
Webcam
« Resposta #32 Online: 13 de Novembro de 2005, 17:46 »
o q eu devo fazer entao? estou perdido dentro de tantas informacoes.. rs

Offline AlexBR

  • Usuário Ubuntu
  • *
  • Mensagens: 388
    • Ver perfil
Webcam
« Resposta #33 Online: 13 de Novembro de 2005, 18:35 »
Citação de: "romonteiro"
o q eu devo fazer entao? estou perdido dentro de tantas informacoes.. rs


Olha.. Para mim, o problema parece ser simples. Veja só! Primeiro, no log que você nos mostrou, existe a mensagem a seguir.

make -C /lib/modules/`uname -r`/build SUBDIRS=/home/romonteiro/Meus downloads/spca5xx-20050906 CC=gcc-3.4 modules

Depois, aparece o seguinte erro.

make[1]: *** Sem regra para processar o alvo `Downloads/spca5xx-20050906'.  Pare.

Então, eu creio que o make esteja tentando compilar o arquivo dentro de Downloads ao invés de Meus downloads. Então, sugiro que, ao invés de sair recompilando o Kernel, simplesmente, coloque os fontes do driver em um diretório sem "espaço em branco" no meio do nome. Por exemplo, troque o nome da pasta Meus downloads para Meusdownloads.

Boa sorte!

Offline coisa

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Webcam
« Resposta #34 Online: 11 de Dezembro de 2005, 13:46 »
Nem como super usuário e nem como usuário normal tá funcionando isso, alguém poderia me ajudar?

coisa@ruim:~/documentos/downloads/spca5xx-20051105$ make clean
rm -r -f drivers/usb/*.o drivers/usb/.spcadecoder.o.cmd \
drivers/usb/.spca5xx.o.cmd  *.o *.ko *.mod.* .[a-z]* core *.i

coisa@ruim:~/documentos/downloads/spca5xx-20051105$ make
   Building SPCA5XX driver for 2.5/2.6 kernel.
   Remember: you must have read/write access to your kernel source tree.
make -C /lib/modules/`uname -r`/build SUBDIRS=/home/coisa/documentos/downloads/spca5xx-20051105 CC=gcc-3.4 modules
make: *** /lib/modules/2.6.12-10-386/build: Arquivo ou diretório não encontrado.  Pare.
make: ** [default] Erro 2

Offline felipefoz

  • Usuário Ubuntu
  • *
  • Mensagens: 200
    • Ver perfil
Webcam
« Resposta #35 Online: 11 de Dezembro de 2005, 14:55 »
coisa!
acredito que vc não instalou o linux headers!

$sudo apt-get install linux-headers-2.6.12-10
verifique isso, se não for poste novamente!

Offline cristian

  • Usuário Ubuntu
  • *
  • Mensagens: 33
    • Ver perfil
    • www.gimp.com.br
Driver correto para WEBCAM NX Pro no Ubuntu 5.10
« Resposta #36 Online: 17 de Dezembro de 2005, 19:24 »
Pessoal já hávia postado aki os relatos da instalação da minha webcam NX Pro no Ubuntu 5.4, falei que para o kernel dessa versão do Ubuntu era o modulo spca5xx-20041107, pois é o problema veio com a atualização do sistema para o kernel do 5.10, rsrsrsrs não funcionou, tive muita dor de cabeça para encontrar a versão correta do spa5xx, mas para quem tiver uma webcam NX Pro e não estiver conseguindo instala-la é só baixar a versão spca5xx-20050601, pode ser conseguido no site http://mxhaard.free.fr/.
Espero poder ter ajudado alguem !!!
Eu adoro ser livre, não se deixe ser aprisionado por uma marca !!!

Offline makall

  • Usuário Ubuntu
  • *
  • Mensagens: 10
    • Ver perfil
Webcam
« Resposta #37 Online: 17 de Dezembro de 2005, 23:04 »
No meu caso apareceu o mesmo:

Código: [Selecionar]
makall@ubuntu:~/spca5xx-20051212$ make
   Building SPCA5XX driver for 2.5/2.6 kernel.
   Remember: you must have read/write access to your kernel source tree.
make -C /lib/modules/`uname -r`/build SUBDIRS=/home/makall/spca5xx-20051212 CC=cc modules
make: *** /lib/modules/2.6.12-10-386/build: Arquivo ou diretório não encontrado.  Pare.
make: ** [default] Erro 2


Fiz o:

Citação de: "felipefoz"
coisa!
acredito que vc não instalou o linux headers!

$sudo apt-get install linux-headers-2.6.12-10
verifique isso, se não for poste novamente!


Mas continua aparecendo o erro apresentado acima... algém tem alguma dica?!

Valeu...
"Quem é é... quem não é o cabelo voa!"

Offline makall

  • Usuário Ubuntu
  • *
  • Mensagens: 10
    • Ver perfil
Webcam
« Resposta #38 Online: 18 de Dezembro de 2005, 08:20 »
Pelo que ví, a pasta '/lib/modules/2.6.12-10-386/' existe, o problema é o arquivo build... alguém tem alguma idéia?!
"Quem é é... quem não é o cabelo voa!"